function erik=naesset_etal(name)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% function naesset_et al laskee suoraan normalisoidusta pistepilvestä, reikäisestä CHM:sta ja 
%          interpoloidusta CHM:sta pisteitä, joita voidaan käyttää
%          regressiomenetelmällä puustotunnusten määrittämiseen               
%
% Copyright Juha Hyyppä 5.3.2006
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%      

eval(['load ',name,'.txt'])
file=eval(name);
eval(['load ',name])

%suoraan DTM normalisoiduista pisteistä
figure(1)
n_h=hist(file(:,3),30);
hist(file(:,3),30)
kpit_h=mean(file(:,3))
Mpit_h=median(file(:,3))
s_h=std(file(:,3))

%pituusmallista
figure(2)
a=malli>0;
b=malli(a);
n_p=hist((b),30);
hist(b,30)
kpit_p=mean(b)
Mpit_p=median(b)
s_p=std(b)

%interpoloidusta pituusmallista
figure(3)
a=chm>0;
b=chm(a);
n_i=hist((b),30);
hist(b,30)
kpit_i=mean(b)
Mpit_i=median(b)
s_i=std(b)
figure(4)
imagesc(chm);

% vastaavasti voidaan laskea histogrammista, ne pisteet jotka ovat tiettyä
% korkeutta korkeammalla, sama first ja last pulsista
% ohessa vain esimerkki

d_h=hist(file(:,3), [5 10 15 20 25 30]);
d_h=d_h/sum(d_h);
d_h2=[d_h(6) sum(d_h(5:6)) sum(d_h(4:6)) sum(d_h(3:6)) sum(d_h(2:6))] 

%lopuksi kaikki pirteet siirretään käytettäväksi

erik=[n_h kpit_h d_h2 Mpit_h s_h n_p kpit_p Mpit_p s_p n_i kpit_i Mpit_i s_i];

pause
